Discover Government News


==========================================================================
Ubuntu Security Notice USN-6683-1
March 07, 2024

libhtmlcleaner-java vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 22.04 LTS
- Ubuntu 20.04 LTS (Available with Ubuntu Pro)
- Ubuntu 18.04 LTS (Available with Ubuntu Pro)

Summary:

libhtmlcleaner-java could be made to crash if it received specially crafted
input.

Software Description:
- libhtmlcleaner-java: Java HTML Parser library

Details:

It was discovered that HtmlCleaner incorrectly handled certain html
documents. An attacker could possibly use this issue to cause a denial
of service via application crash.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 22.04 LTS:
  libhtmlcleaner-java             2.24-1+deb11u1build0.22.04.1

Ubuntu 20.04 LTS (Available with Ubuntu Pro):
  libhtmlcleaner-java             2.23-1ubuntu0.1~esm1

Ubuntu 18.04 LTS (Available with Ubuntu Pro):
  libhtmlcleaner-java             2.21-2ubuntu0.1~esm1

In general, a standard system update will make all the necessary changes.

References:
  https://ubuntu.com/security/notices/USN-6683-1
  CVE-2023-34624

Package Information:
  https://launchpad.net/ubuntu/+source/libhtmlcleaner-java/2.24-1+deb11u1build0.22.04.1

Ubuntu 6683-1: HtmlCleaner vulnerability

March 7, 2024
libhtmlcleaner-java could be made to crash if it received specially crafted input.

Summary

A security issue affects these releases of Ubuntu and its derivatives: - Ubuntu 22.04 LTS - Ubuntu 20.04 LTS (Available with Ubuntu Pro) - Ubuntu 18.04 LTS (Available with Ubuntu Pro) Summary: libhtmlcleaner-java could be made to crash if it received specially crafted input. Software Description: - libhtmlcleaner-java: Java HTML Parser library Details: It was discovered that HtmlCleaner incorrectly handled certain html documents. An attacker could possibly use this issue to cause a denial of service via application crash.

Update Instructions

The problem can be corrected by updating your system to the following package versions: Ubuntu 22.04 LTS: libhtmlcleaner-java 2.24-1+deb11u1build0.22.04.1 Ubuntu 20.04 LTS (Available with Ubuntu Pro): libhtmlcleaner-java 2.23-1ubuntu0.1~esm1 Ubuntu 18.04 LTS (Available with Ubuntu Pro): libhtmlcleaner-java 2.21-2ubuntu0.1~esm1 In general, a standard system update will make all the necessary changes.

References

https://ubuntu.com/security/notices/USN-6683-1

CVE-2023-34624

Severity
==========================================================================

Package Information

https://launchpad.net/ubuntu/+source/libhtmlcleaner-java/2.24-1+deb11u1build0.22.04.1

Related News